#状态码     信息
status_msg={
    200:'登录成功',
    10000:'数据不完整',
    10001:'用户名不合法',
    10002:'密码不合法',
    10003:'两次密码不一致',
    10004:'手机号不合法',
    10005:'邮箱不合法',
    10006:'请登录后使用',
    10007:'token不可使用',
    2000:'异常错误'

}
#建议将状态码规划：10000-10010为用户名不合法，比如用户名重复、太长、太短等等

#定义一个转为字典的方法     命名参数，调用方法时可传可不传
def to_dict_msg(status=200,data=None,msg=None):
    return{
        'status':status,
        'data':data,
        #msg如果有值直接传，如果无值直接从status_msg中调用status的值
        'msg':msg if msg else status_msg.get(status)
    }

#测试
if __name__ == "__main__":
    print(to_dict_msg(10000))
